<?php
class category
{
var $pObj;
var $fObj;
var $prompt;
var $appObj;

function category(& $appObj)
{
	$this->fObj=& $appObj->functObj;
	$this->pObj=& $appObj->pObj;
	$this->appObj=$appObj;
}
//Added for category slug
function getSlug($heading,$article_id='')
	{
		$heading =  preg_replace("/[^a-zA-Z0-9_-]/", "", $heading);
		$sql = "select category_id from ".DB_PREFIX."AM_category where slug = '$heading' ";
		if($article_id > 0)
			$sql.=" and category_id !='$article_id'";
		$res =  $this->pObj->getData($sql);
		$found=$res[0];
		if($found)
		{
			$val=1;
			$heading = $this->getDupSlug($heading, $val,$article_id);
		}
		return $heading;
	}

function getDupSlug($heading, $val,$article_id='')
{
	$heading1 = $heading . "-" . $val;
	$sql = "select category_id from ".DB_PREFIX."AM_category where slug = '$heading1' ";
	if($article_id > 0)
		$sql.=" and category_id !='$article_id'";
	$res = $this->pObj->getData($sql);
	$found = $res[0];
	if($found)
	{
		$val++;
		return $this->getDupSlug($heading, $val);
	}
	else
	{
		return $heading1;
	}
}
//end
function uniqueRecord($pVar)
{
	$sql="SELECT 1 FROM ".DB_PREFIX."AM_category WHERE category_name='".trim($pVar[category_name])."'";
	if($pVar[category_id])
		$sql.=" and category_id != '".$pVar[category_id]."'";

	$result=$this->pObj->getData($sql);
	if($result && count($result))
		return false;
	else
		return true;
}

function updateRecord($pVar)
{
	$this->pObj->table_name=DB_PREFIX.$pVar[tblName];
	if(trim($pVar[slug]))
	$temp_str=trim($pVar[slug]);
    else
	$temp_str=trim($pVar[category_name]);

	$pVar[slug]=$this->getSlug($temp_str,$pVar[category_id]);
	$this->pObj->condition="$pVar[id_field]=".$pVar[id_field_value];
	if($_FILES['category_image']['tmp_name'])
	{
		if($photo=$this->uploading_category_image($pVar['module_name']))
			$pVar['category_image']=$photo;
		else
			return false;
	}
	if(count($pVar['membership_id'])> 0)
		$pVar['membership_id']=implode(",", $pVar['membership_id']);
	$updated=$this->pObj->updateRecord(& $pVar);
	return $updated;
}

function addRecord($pVar)
{
	$this->pObj->table_name=DB_PREFIX.$pVar[tblName];
	 if(trim($pVar[slug]))
	   $temp_str=trim($pVar[slug]);
     else
	   $temp_str=trim($pVar[category_name]);

	$pVar[slug]=$this->getSlug($temp_str);


	$pVar[rank]=$this->maxRank($pVar[tblName]);

	if($_FILES['category_image']['tmp_name'])
	{
		if($photo=$this->uploading_category_image($pVar['module_name']))
			$pVar['category_image']=$photo;
		else
			return false;
	}
	if(count($pVar['membership_id'])> 0)
		$pVar['membership_id']=implode(",", $pVar['membership_id']);

	if($temp=$this->pObj->insertRecord(& $pVar))
		return $temp;
	else
		return 0;
}


function getRecord($pVar)//$tblName,$id_field,$recordId,$condition=''
{
	$sql="SELECT * FROM ".DB_PREFIX.$pVar[tblName]." where ".$pVar[id_field]."='".$pVar['id_field_value']."' limit 0,1";
	$result=$this->pObj->getData($sql);
	$row=$result[0];
	if($result)
	{
		return $row;
	}
	return 0;
}

function changeRecordStatus($pVar)
{
	if(is_array($pVar['check_item']) && sizeof($pVar['check_item']) > 0)
		$ids=implode(",",$pVar['check_item']);
	$sql="update ".DB_PREFIX.$pVar[tblName]." set status='$pVar[status]' where $pVar[id_field] in ($ids)";
	return $this->pObj->updateRecord("",$sql);
}

function deleteRecordRank($pVar)
{
	if(is_array($pVar['check_item']) && sizeof($pVar['check_item']) > 0)
		$ids=implode(",",$pVar['check_item']);

	$sql="SELECT rank FROM ".DB_PREFIX.$pVar[tblName]." WHERE $pVar[id_field] in ($ids) order by rank";
	$result=$this->pObj->getData($sql);
	$row=$result;
	if($result)
	{
		$i=0;
		$rank_array=array();
		for($k=0;$k<count($result);$k++)//while($row=mysql_fetch_object($result))
		{
			$ins_rank=$row[$k][rank]-$i;
			array_push($rank_array,$ins_rank);
			$i++;
		}
	}

	$sql="Delete From ".DB_PREFIX.$pVar[tblName]." Where $pVar[id_field] in ($ids)";
	$deleted=$this->pObj->DeleteRecord("",$sql);
	if($deleted)
	{
		if(sizeof($rank_array))
		{
			foreach($rank_array as $key=>$val)
			{
				if($val)
				{
					$sql="UPDATE ".DB_PREFIX.$pVar[tblName]." SET rank=rank-1 WHERE rank > $val";
					$this->pObj->updateRecord("",$sql);
				}
			}
		}

		$sqlprod="select rank, article_id from ".DB_PREFIX."AM_article WHERE category_id in ($ids)";
		$rowprod=$this->pObj->getData($sqlprod);
		if($rowprod)
		{
			$audioID_array=array();
			$rank_array=array();
			for($i=0; $i < count($rowprod); $i++)
			{
				$rank_ins=$rowprod[$i]['rank']-$i;
				array_push($rank_array,$rank_ins);

				$article_id=$rowprod[$i]['article_id'];
				array_push($audioID_array,$article_id);
			}
		}

		$sql="DELETE FROM ".DB_PREFIX."AM_article WHERE category_id in ($ids)";
		$deleted1=$this->pObj->deleteRecord("", $sql);
		if($deleted1)
			{
				if(sizeof($rank_array))
				{
					foreach($rank_array as $key=>$val)
					{
						if($val)
						{
							$sql="UPDATE ".DB_PREFIX."AM_article SET rank=rank-1 WHERE rank > $val";
							$this->pObj->updateRecord("",$sql);
						}
					}
				}

				$check="select module_name from ".DB_PREFIX."modules where module_name='review_management' and is_installed=1 and status ='1'";
				$is_install=$this->pObj->getData($check);
				if($is_install)
				{
					$is_install=$this->pObj->getData($check);
					if($is_install)

					if(sizeof($audioID_array))
					{
						foreach($audioID_array as $key=>$val)
						{
							if($val)
							{
								if(file_exists(APP_PATH."/plugins/review_management/classes/class.configuration.php"))
								{
									require_once(APP_PATH."/plugins/review_management/classes/class.configuration.php");
									$configure=new configuration($this->appObj);

									$Modulename='article';
									$module_id=$configure->getReviewModuleId($Modulename);
									if($module_id)
									{
										$sqlprod="select review_id from ".DB_PREFIX."rm_review where specific_id =$val and module_id=".$module_id."";
										$rowprod=$this->pObj->getData($sqlprod);
										$review_id=$rowprod[0]['review_id'];
										if($review_id)
										{
											$sql="delete from ".DB_PREFIX."rm_review Where specific_id =$val and module_id=".$module_id."";
											$updated=$this->pObj->deleteRecord("", $sql);
											if($updated)
											{
												$sql2="delete from ".DB_PREFIX."rm_rate Where specific_id =$val and module_id=".$module_id."";
												$updated=$this->pObj->deleteRecord("", $sql2);

												$sql3="delete from ".DB_PREFIX."rm_comments Where review_id =".$review_id."";
												$updated=$this->pObj->deleteRecord("", $sql3);
											}
										}
									}
								}
							}
						}
					}
				}
		}

		return $deleted1;
	}
	else
		return 0;
}


/*Function listRecord(& $pVar)
{
	$article_slug = $this->appObj->getloginlinksurl('/article/index.html') ;
	$modify_link_file='category.php';$condition='';$order_by='';
	$field_array=array("category_name","rank","status");
	$this->pObj->rows_per_page=VARPgLenLong;
	$this->pObj->pageno=$pVar['page_no'];
	$this->pObj->paging_require="yes";
	$ONLINE_STATUS=$this->fObj->ONLINE_STATUS;
	$COLORS=$this->fObj->COLORS;
	$query1="SELECT category_id,category_name,rank,status,slug FROM ".DB_PREFIX."AM_category WHERE 1=1 ";

	$query1.=" order by rank";

	$result1=$this->pObj->getData($query1);

		if($result1)
		{
			$total_rows=$this->pObj->total_rows;
			$total_page=$this->pObj->total_page;
			$page_no=$this->pObj->pageno;
			$row=$result1;
			if($pVar['page_no']!="")
				$slno=(($pVar['page_no']-1)* $this->pObj->rows_per_page);
			else
				$slno=0;
			for($i=0;$i<count($row); $i++)
			{
				$slno++;

				$BGCOLOR= $COLORS[$slno%2];
				$ALL_ROWS.="<TR height=22 bgcolor='$BGCOLOR'><TD valign=top align=middle class=content>$slno.</TD>";
				$ALL_ROWS.="<td align='center'><input type='checkbox' name='check_item[$i]' value='".$row[$i][category_id]."'></td>";
				$ALL_ROWS.="<TD valign=top><a href='$modify_link_file?".category_id."=".$row[$i][category_id]."&module_name=".$pVar['module_name']."' class='lnk1'>".$row[$i][category_name]."</a></TD>";


				for($k=1; $k < count($field_array); $k++)
				{
					if($field_array[$k] == "status")
						$ALL_ROWS.="<TD valign='TOP' class=content>".$this->fObj->ONLINE_STATUS[$row[$i][status]]."</TD>";
					elseif($field_array[$k] == "rank")
						$ALL_ROWS.="<TD valign='TOP' class=content align=center><a href='#' onclick='return newSmallWindow(\"modifyRank.php?popUp=true&home=1&old_rank=".$row[$i][rank]."&rank=".$row[$i][rank]."&category_id=".$row[$i][category_id]."&module_name=".$pVar['module_name'].""."\");'>".$row[$i][rank]."</a></TD>";
					else
						$ALL_ROWS.="<TD valign=top class=content>".$row[$i][$field_array[$k]]."</TD>";
				}

				$ALL_ROWS.="<td><input type='text' name='url_".$row[$i]['category_id']."' id='url_".$row[$i]['category_id']."' value='".VROOT_DIR."/$article_slug/article/".$row[$i]['slug']."/index.html' size='40'>&nbsp;&nbsp;<input type='button' onclick='return PersonalizeData(this.form.url_".$row[$i]['category_id'].");' value='Copy'>&nbsp;&nbsp;<input type='button' onClick=\"return newBigWindow(this.form.url_".$row[$i]['category_id'].".value,'win');\" value='View'></td>";

				$ALL_ROWS.="</TR>";
			}

	}
	else
	{
		$total_rows=0;
		$page_no=1;
		$ALL_ROWS="<TR><td colspan='8' align='center'><font color='red'>No Record Found.</font></td></tr>";
	}
	$this->pObj->total_rows=$total_rows;
	$this->pObj->total_page=$total_page;
	$this->pObj->pageno=$page_no;

	return $ALL_ROWS;
}*/

Function listRecord(& $pVar, $membership_arr)
{
	$article_slug = $this->appObj->getloginlinksurl('/article/index.html') ;
	$modify_link_file='category.php';$condition='';$order_by='';
	$field_array=array("category_name","rank","status");
	$this->pObj->rows_per_page=VARPgLenLong;
	$this->pObj->pageno=$pVar['page_no'];
	$this->pObj->paging_require="yes";
	$ONLINE_STATUS=$this->fObj->ONLINE_STATUS;
	$COLORS=$this->fObj->COLORS;
	
	##############################  Commented by EluminousTechnologiesV2.2 ############################
	//$query1 = "SELECT category_id,category_name,rank,status,slug FROM ".DB_PREFIX."AM_category WHERE 1=1 ";
	//$query1.=" order by rank";
	##############################  End: EluminousTechnologiesV2.2 ############################

	##############################  EluminousTechnologiesV2.2 ############################
	$query1 = "SELECT category_id,category_name, parent_cat_id, membership_id, rank,status,slug FROM ".DB_PREFIX."AM_category WHERE 1=1 ORDER BY parent_cat_id, category_id";
	##############################  EluminousTechnologiesV2.2 ############################

	$result1=$this->pObj->getData($query1);

		if($result1)
		{
			$total_rows=$this->pObj->total_rows;
			$total_page=$this->pObj->total_page;
			$page_no=$this->pObj->pageno;
			$row=$result1;
			if($pVar['page_no']!="")
				$slno=(($pVar['page_no']-1)* $this->pObj->rows_per_page);
			else
				$slno=0;
			for($i=0;$i<count($row); $i++)
			{
				##############################  EluminousTechnologiesV2.2 ############################
				$arr_categs[$row[$i]['category_id']] = $row[$i]['category_name'];
				##############################  EluminousTechnologiesV2.2 ############################
			
				$slno++;

				##############################  EluminousTechnologiesV2.04 ############################
				# Added by swati on 21-Jul-2010 to show memberships for the categories list
				$membership="";
				if($row[$i]['membership_id'])
				{
					$mArr=explode(",", $row[$i]['membership_id']);
					foreach($mArr as $val)
						$membership .= $membership_arr[$val].", ";
				}
				##############################  EluminousTechnologiesV2.04 ############################

				$BGCOLOR= $COLORS[$slno%2];
				$ALL_ROWS.="<TR height=22 bgcolor='$BGCOLOR'><TD valign=top align=middle class=content>$slno.</TD>";
				$ALL_ROWS.="<td align='center'><input type='checkbox' name='check_item[$i]' value='".$row[$i][category_id]."'></td>";
				$ALL_ROWS.="<TD valign=top><a href='$modify_link_file?".category_id."=".$row[$i][category_id]."&module_name=".$pVar['module_name']."' class='lnk1'>".$row[$i][category_name]."</a></TD>";
				
				##############################  EluminousTechnologiesV2.2 ############################
				$ALL_ROWS.="<TD valign=top align=center>".($row[$i]['parent_cat_id'] > 0 ? trim($arr_categs[$row[$i]['parent_cat_id']]) : "-")."</TD>\n";
				##############################  EluminousTechnologiesV2.2 ############################

				##############################  EluminousTechnologiesV2.04 ############################
				# Added by swati on 21-Jul-2010 to show memberships for the categories list
				$ALL_ROWS.="<TD valign=top>".trim($membership, ", ")."</a></TD>\n";			
				##############################  EluminousTechnologiesV2.04 ############################
			
			
				for($k=1; $k < count($field_array); $k++)
				{
					if($field_array[$k] == "status")
						$ALL_ROWS.="<TD valign='TOP' class=content>".$this->fObj->ONLINE_STATUS[$row[$i][status]]."</TD>";
					elseif($field_array[$k] == "rank")
						$ALL_ROWS.="<TD valign='TOP' class=content align=center><a href='#' onclick='return newSmallWindow(\"modifyRank.php?popUp=true&home=1&old_rank=".$row[$i][rank]."&rank=".$row[$i][rank]."&category_id=".$row[$i][category_id]."&module_name=".$pVar['module_name'].""."\");'>".$row[$i][rank]."</a></TD>";
					else
						$ALL_ROWS.="<TD valign=top class=content>".$row[$i][$field_array[$k]]."</TD>";
				}

				$ALL_ROWS.="<td><input type='text' name='url_".$row[$i]['category_id']."' id='url_".$row[$i]['category_id']."' value='".VROOT_DIR."/$article_slug/article/".$row[$i]['slug']."/index.html' size='40'>&nbsp;&nbsp;<input type='button' onclick='return PersonalizeData(this.form.url_".$row[$i]['category_id'].");' value='Copy'>&nbsp;&nbsp;<input type='button' onClick=\"return newBigWindow(this.form.url_".$row[$i]['category_id'].".value,'win');\" value='View'></td>";

				$ALL_ROWS.="</TR>";
			}

	}
	else
	{
		$total_rows=0;
		$page_no=1;
		$ALL_ROWS="<TR><td colspan='8' align='center'><font color='red'>No Record Found.</font></td></tr>";
	}
	$this->pObj->total_rows=$total_rows;
	$this->pObj->total_page=$total_page;
	$this->pObj->pageno=$page_no;

	return $ALL_ROWS;
}

function maxRank($tblName)
{
	$sql="SELECT max(rank) AS rank FROM ".DB_PREFIX."$tblName";
	$result=$this->pObj->getData($sql);
	$row=$result[0];
	If($result)
	{
		return $row[rank]+1;
	}
	else
		return 0;
}
//********************************End
function AddCategory($pVar)
{
	$this->pObj->table_name=DB_PREFIX."AM_category";
	if(trim($pVar[slug]))
	$temp_str=trim($pVar[slug]);
 else
	$temp_str=trim($pVar[category_name]);

	$pVar[slug]=$this->getSlug($temp_str);
		$sql="select max(rank) as rnk from ".DB_PREFIX."AM_category where 1";

	$row=$this->pObj->getData($sql);
	if($row)
		$pVar['rank']=$row[0]['rnk']+1;
	else
		$pVar['rank']=1;

	if($_FILES['photo']['tmp_name'])
	{
		if($photo=$this->uploading_image(& $pVar))
		$pVar['photo']=$photo;
		else
			return false;
	}

	$inserted=$this->pObj->insertRecord(& $pVar);
	return $inserted;
}

function uploading_image(& $pVar)
{
	$size=GetImageSize($_FILES['photo']['tmp_name']);
		$image_property=explode(" ",$size[3]);
		if($size[0] > 100){
			$this->NOTICE="Uploading Failed. Upload banner of width less than 100";
			return false;
		}
		if($size[1] > 100){
			$this->NOTICE="Uploading Failed. Upload banner of height less than 100";
			return false;
		}

	$handle = new Upload($_FILES['photo']);
	if ($handle->uploaded)
	{
		$handle->allowed=array("image/jpeg","image/pjpeg", "image/pjpg", "image/pjpg", "image/gif", "image/png","jpe","pjpe");
        $handle->Process(RESOURCE_DIR."/".$pVar['module_name']."/");
        if ($handle->processed)
		{
            print $image_name=$handle->file_dst_name;

        }
		else {
            // one error occured
           print  $this->NOTICE="File not uploaded to the wanted location<BR><BR>Error: ".$handle->error;
        }
    }
	else {
        // if we're here, the upload file failed for some reasons
        // i.e. the server didn't receive the file
        $this->NOTICE="File not uploaded on the server<BR><BR>Error: ".$handle->error;
		}
		return  $image_name;
}

function ModifyRank(& $pVar)
{
	$select_rank = "SELECT rank FROM ".DB_PREFIX."AM_category WHERE category_id=".$pVar['category_id'];
	$row=$this->pObj->getData($select_rank);
	$old_rank=$row[0]['rank'];

	$queryrank = "SELECT max(rank) AS max_rank FROM ".DB_PREFIX."AM_category where 1";
  $row1=$this->pObj->getData($queryrank);

	if($pVar['rank'] <= $row1[0]['max_rank'] && !$pVar['rank']==0 )
  {
	if($row1)
	{
		$max_rank=$row1[0]['max_rank'];
		if($pVar['rank'] >= $max_rank)
			$pVar['rank']=$max_rank;

		if($pVar['rank'] < 1)
			$pVar['rank']=1;
	}
	$query = "update ".DB_PREFIX."AM_category set rank = ".$pVar['rank']." where category_id =".$pVar['category_id'];
	$updated=$this->pObj->updateRecord('', $query);

	if($pVar['rank'] > $old_rank)
		$update_query = "update ".DB_PREFIX."AM_category set rank = rank-1 where (rank <=".$pVar['rank']." and rank >=$old_rank) and (category_id != ".$pVar['category_id'].")";
	if($pVar['rank'] < $old_rank)
		$update_query = "update ".DB_PREFIX."AM_category set rank = rank + 1 where (rank >=".$pVar['rank']." and rank <= $old_rank) and (category_id != ".$pVar['category_id'].")";
	if($update_query)
	$updated=$this->pObj->updateRecord('', $update_query);
	return $updated;
  }
  else
	{
	 $updated='';
	 return $updated;
	}

}

function getRank(& $pVar)
{
	$select_rank = "SELECT rank FROM ".DB_PREFIX."AM_category WHERE category_id=".$pVar['category_id'];
	$row=$this->pObj->getData($select_rank);
	if($row)
		return $row[0]['rank'];
}

function modifyCategory($pVar)
{
	$this->pObj->table_name=DB_PREFIX."AM_category";
	if(trim($pVar[slug]))
	$temp_str=trim($pVar[slug]);
 else
	$temp_str=trim($pVar[category_name]);

	$pVar[slug]=$this->getSlug($temp_str,$pVar[category_id]);
	if($_FILES['photo']['tmp_name'])
	{
		if($photo=$this->uploading_image($pVar))
			$pVar['photo']=$photo;
		else
			return false;
	}
	if($_FILES['category_image']['tmp_name'])
	{
		if($photo=$this->uploading_category_image($pVar['module_name']))
			$pVar['category_image']=$photo;
		else
			return false;
	}
	$this->pObj->condition="category_id=".$pVar['category_id'];
	$updated=$this->pObj->updateRecord(& $pVar);
	return $updated;
}

function getTestionialforUpdate($category_id)
{
	$sql="select * from ".DB_PREFIX."AM_category where category_id=$category_id";
	$row=$this->pObj->getData($sql);
	if($row)
	{
		foreach($row[0] as $key =>$val)
		$return_array[$key]=$val;
	}
	else
		$return_array['PROMPT']="Invalid category id or parameter.";
	return $return_array;
}


 function uploading_category_image($module_name)
{
    $handle = new Upload($_FILES['category_image']);
    
    if ($handle->uploaded)
    {
        $resize_format=array("image/jpeg","image/pjpeg","image/png", "image/pjpg", "image/pjpg");
       
        $handle->allowed=array("image/jpeg","image/pjpeg","image/x-png","image/png", "image/pjpg", "image/pjpg", "image/gif", "image/png");

            if(in_array($file['type'],$resize_format))
            {
                $handle->image_resize         = true;
                $handle->image_ratio_X        = true;
                $handle->image_x              = 150;
                $handle->image_y              = 150;
            }
        $handle->Process(RESOURCE_DIR."/$module_name/");

       if ($handle->processed)
        {
           $image_name=$handle->file_dst_name;
       }
        else
        {
           // one error occured
           $this->NOTICE="File not uploaded to the wanted location<BR><BR>Error: " . $handle->error;
            return false;
       }
   }
    else
    {
       // if we're here, the upload file failed for some reasons
       // i.e. the server didn't receive the file
       $this->NOTICE="File not uploaded on the server<BR><BR>Error: " . $handle->error;
    }
    return  $image_name;
}

function uploading_category_image4($module_name)
{
	$handle = new Upload($_FILES['category_image']);
	//print_r($_FILES['category_image']);
	if ($handle->uploaded)
	{
		$handle->image_resize         = true;
		$handle->image_ratio_y        = true;
		$handle->image_x              = 150;
		$handle->image_y              = 150;
		$handle->allowed=array("image/jpeg","image/pjpeg", "image/pjpg", "image/pjpg", "image/gif", "image/png", 'image/x-png', "jpe","pjpe");
		$handle->Process(RESOURCE_DIR."/$module_name/");
		if($handle->processed)
		{
			$image_name=$handle->file_dst_name;
		}
		else
		{
			$this->NOTICE="File not uploaded to the wanted location<BR><BR>Error: " . $handle->error." Please check the file type.";
		}
	}
	else
	{
		$this->NOTICE="File not uploaded on the server<BR><BR>Error: " . $handle->error." Please check the file type.";
	}
	return  $image_name;
}

function ListAllCategory(& $pVar)
{
	$this->pObj->rows_per_page=$this->appObj->GetAppVar("VARPGlenSmall");
	$sql="select * from ".DB_PREFIX."AM_category order by rank";
	$this->pObj->pageno=$pVar['page_no'];
	$this->pObj->paging_require="yes";
	$row=$this->pObj->getData($sql);
	if($row)
	{
		$ROW_TEMPLATE=$this->fObj->ReadTemplate(MODULE_PATH."/templates/control/testimonial_row.html");
		if($pVar['page_no']!="")
			$sl=(($pVar['page_no']-1)* $this->pObj->rows_per_page);
		else
			$sl=0;
		for($i=0, $max = count($row)-1; $i<=$max; $i++)
		{
			$sl++;
			$BGCOLOR= $this->fObj->COLORS[$sl%2];
			$row_vars['BGCOLOR']=$BGCOLOR;
			$row_vars['sl']=$sl;
			$row_vars['X']="<INPUT TYPE='checkbox' NAME='category_id[]' value='".$row[$i]['category_id']."'>";
			$row_vars['name']="<A HREF=\"".MODULE_VROOT_DIR."/control/modifyTestimonial.php?module_name=".$pVar['module_name']."&category_id=".$row[$i]['category_id']."\">".$row[$i]['first_name']." ".$row[$i]['last_name']."</A>";
			$row_vars['email']=$row[$i]['email'];
			$row_vars['rank']="<A HREF=\"#\" onclick=\"javascript: newSmallWindow('".MODULE_VROOT_DIR."/control/modifyRank.php?module_name=".$pVar['module_name']."&rank=".$row[$i]['rank']."&category_id=".$row[$i]['category_id']."&popUp=true', 'FP');\">".$row[$i]['rank']."</A>";

			$row_vars['status']=$this->fObj->ARR_STATUS[$row[$i]['status']];
			$cat_list .=$this->fObj->ReplaceContent($ROW_TEMPLATE, $row_vars);
		}
		return $cat_list;
	}
}

function ActiveCategory(& $pVar)
{
	if($pVar['category_id'])
	{
		$sql="update ".DB_PREFIX."AM_category set status=1 where category_id in(".implode(",", $pVar['category_id']).")";
		$updated=$this->pObj->updateRecord("", $sql);
		if($updated)
			return $updated." Category(s) have been activated.";
	}
	else
		return "Error: Missing Required parameter.";
}

function InactiveCategory(& $pVar)
{
	if($pVar['category_id'])
	{
		$sql="update ".DB_PREFIX."AM_category set status=2 where category_id in(".implode(",", $pVar['category_id']).")";
		$updated=$this->pObj->updateRecord("", $sql);
		if($updated)
			return $updated." Category(s) have been inactivated.";
	}
	else
		return "Error: Missing Required parameter.";
}

function DeleteCategory(& $pVar)
{
	if($pVar['category_id'])
	{
		$sql="select photo, rank from ".DB_PREFIX."AM_category WHERE category_id IN (".implode(",", $pVar['category_id']).")";
		$row=$this->pObj->getData($sql);
		if($row)
		{
			$rank_array=array();
			for($i=0; $i < count($row); $i++)
			{
				$ins_rank=$row[$i]['rank']-$i;
					array_push($rank_array,$ins_rank);
				if($row[$i]['photo'] && file_exists(RESOURCE_DIR."/".$pVar['module_name']."/".$row[$i]['photo']))
					unlink(RESOURCE_DIR."/".$pVar['module_name']."/".$row[$i]['photo']);
			}

		}
		$sql="DELETE FROM ".DB_PREFIX."AM_category WHERE category_id IN (".implode(",", $pVar['category_id']).")";
		$deleted=$this->pObj->deleteRecord("", $sql);
		if($deleted)
		{
			if(sizeof($rank_array))
			{
				foreach($rank_array as $key=>$val)
				{
					if($val)
					{
						$sql="UPDATE ".DB_PREFIX."AM_category SET rank=rank-1 WHERE rank > $val";
						$this->pObj->updateRecord("",$sql);
					}
				}
			}
			return $deleted." Category(s) have been Deleted Successfully.";
		}
	}
	else
		return "Error: Missing Required parameter.";
}

function displaycount($pVar)
{
   $sql="select * from ".DB_PREFIX."AM_category where status=1 order by rank desc limit 0, ".$pVar['ano'];
	$row=$this->pObj->getData($sql);
	if($row)
	{
		$Category_CONTENT.="<TABLE cellSpacing=0 cellPadding=0 width=100%  border=0>";
		for($i=0; $i<count($row); $i++)
		{
			$Category_CONTENT.="<TR><TD align=left valign=middle><TABLE cellSpacing=0 cellPadding=0 width=100%  border=1><tr><td> <TABLE width=100% border=0><TR><TD><font size=4>";
			$Category_CONTENT.=str_replace('"','\"',$row[$i]['title'])."</font></td></tr>";

			  $tdate=$row[$i]['testimonial_date'];
				$tdate_arr=explode("-",$tdate);
				$date="$tdate_arr[2]/$tdate_arr[1]/$tdate_arr[0]";
				if($row[$i]['photo'])
				$photo="<img src=\"".VROOT_DIR."/resources/testimonial/".$row[$i]['photo']."\" border=\"0\" align=\"left\">";
			 $Category_CONTENT.="<tr><td><b>Added on </b>".str_replace('"',"\"",$date)."</td></tr>";
			 $Category_CONTENT.="<tr><td>".$photo.nl2br($row[$i]['testimonial_desc'])."<br><br></td></tr>";
			 $Category_CONTENT.="<tr><td><b>".$row[$i]['first_name']." ".$row[$i]['lastname']."<br><a href=\"mailto:".$row[$i]['email']."\">".$row[$i]['email']."</a><br>".$row[$i]['website']."</td></tr></TABLE></TD></TR></table></td></tr><TR><TD align=left valign=middle>&nbsp;</td></tr>";
		}
		$Category_LIST.=stripslashes($Category_CONTENT)."</table>";;
		return $Category_LIST;
	}
}

function displayCategory($pVar)
{
	$this->pObj->rows_per_page=$this->appObj->GetAppVar("VARPGlenSmall");
	$sql="select * from ".DB_PREFIX."AM_category where status=1 order by rank desc";
	$this->pObj->pageno=$pVar['page_no'];
	$this->pObj->paging_require="yes";
	$row=$this->pObj->getData($sql);

	if($row)
	{
		for($i=0; $i<count($row); $i++)
		{
			$Category_CONTENT.="<TR><TD align=left valign=middle><TABLE cellSpacing=0 cellPadding=0 width=100%  border=1><tr><td> <TABLE width=100% border=0><TR><TD><font size=4>";
			$Category_CONTENT.=str_replace('"','\"',$row[$i]['title'])."</font></td></tr>";

			 $tdate=$row[$i]['testimonial_date'];
				$tdate_arr=explode("-",$tdate);
				$date="$tdate_arr[2]/$tdate_arr[1]/$tdate_arr[0]";
				if($row[$i]['photo'])
				$photo="<img src=\"".VROOT_DIR."/resources/testimonial/".$row[$i]['photo']."\" border=\"0\" align=\"left\">";
			 $Category_CONTENT.="<tr><td><b>Added on </b>".str_replace('"',"\"",$date)."</td></tr>";
			 $Category_CONTENT.="<tr><td>".$photo.nl2br($row[$i]['testimonial_desc'])."<br><br></td></tr>";
			 $Category_CONTENT.="<tr><td><b>".$row[$i]['first_name']." ".$row[$i]['lastname']."<br><a href=\"mailto:".$row[$i]['email']."\">".$row[$i]['email']."</a><br>".$row[$i]['website']."</td></tr></TABLE></TD></TR></table></td></tr><TR><TD align=left valign=middle>&nbsp;</td></tr>";
		}
		$Category_LIST.=stripslashes($Category_CONTENT);
		return $Category_LIST;
	}
}

##############################  EluminousTechnologiesV2.2 ############################
function getParentCategory()
{
	$return_array=array();
	if($_SESSION['SESS_admin_id'])
	{
		$sql="select category_id, category_name as category from ".DB_PREFIX."AM_category where parent_cat_id = 0";
	}
	else
	{
	$sql="select category_id, category_name as category from ".DB_PREFIX."AM_category where parent_cat_id = 0 and status='A'";
	}
	$row=$this->pObj->getData($sql);
	if($row)
	{
		for($i=0; $i<count($row); $i++)
		$return_array[$row[$i]['category_id']]=$row[$i]['category'];
	}
	return $return_array;
}
#function to select multiple category
 // -- if $allowedLevel = -1 mean till nth level.
 // -- if $allowedLevel = 2, means tree structure 2 level's deep.
function dispalyCategoryHirerchy($allowedLevel, $str_selected_value, $str_combo_name, $str_combo_default_value="", $str_combo_extra="", $str_combo_deault="-- Select Category --",$bool_disable_last_nodes=true,$show_id=0, $hide_current_cats=1, $option_tag_value = "id")
{
	$this->output = '';
	
	$this->output = '<select name="' . $str_combo_name . '" id="' . $str_combo_name . '" ' . $str_combo_extra . ' title="Please Select the Category" >';
	
	$this->output .=  '<option value="' . $str_combo_default_value . '">' . $str_combo_deault . '</option>';
	
	$this->getMyChilds("0", $allowedLevel, $bool_disable_last_nodes, 0, $str_selected_value, $show_id, $hide_current_cats, $option_tag_value);
	
	$this->output .= "</select>";
}
 

function getMyChilds($i_CatId, $allowedLevel, $bool_disable_last_nodes, $level=0, $str_selected_value="", $show_id=0, $hide_current_cats = 1, $option_tag_value = "id")
{
	global $pVar;
	
	if(!$level) 
	{
		$level = 0; 
	}
	
 	++$level;// -- used to maintain the level of the tree.
	
	if($allowedLevel >= $level || $allowedLevel == "-1")
	{
		$i_CatId = (int)$i_CatId;
		
		if($_SESSION['SESS_admin_id'])
		{
			$sql = "SELECT category_id, category_name as category FROM ".DB_PREFIX."AM_category WHERE parent_cat_id='$i_CatId'";
		}
		else
		{
			$sql = "SELECT category_id, category_name as category FROM ".DB_PREFIX."AM_category WHERE parent_cat_id='$i_CatId' AND status = 'A' ";
		}
		if($pVar['category_id'] > 0 && $hide_current_cats)
		{
			$sql .= " AND category_id != '".$pVar['category_id']."'";
		}
		//echo $sql;
		$result = $this->pObj->getData($sql);
		
		if($result)
		{
			$max = count($result);
		}
		else
		{
			$max = 0;
		}
			
		if($max > 0)
		{
			/*echo "<strong><br />======max=".$max."</strong>=======<br/>";
			echo "<pre>"; print_r($result); echo "</pre>";
			echo "<strong><br/>=======max=".$max."</strong>=======<br/>";*/

			for($i = 0; $i < $max; $i++)
			{
				$this->output .= $this->displayOption((($option_tag_value == "id")?$result[$i]['category_id']:$result[$i]['slug']), $result[$i]['category'], $level, $allowedLevel, $str_selected_value, $bool_disable_last_nodes, $i_CatId, $show_id);
				$this->getMyChilds($result[$i]['category_id'], $allowedLevel, $bool_disable_last_nodes,$level,$str_selected_value,$show_id, $hide_current_cats, $option_tag_value);
				
			}//-- for.
		}
	}//-- if.
}
 
function displayOption($val_category_id, $val_category_name, $level, $allowedLevel, $str_selected_value, $bool_disable_last_nodes,$i_CatId,$show_id)
{
	$str_seperator = "&nbsp;&nbsp;&nbsp;";//-- seperator string.
	
	ob_start();
	if($val_category_id)
	{
		if($allowedLevel == $level && $bool_disable_last_nodes)
		{
		?>
			<optgroup label="<?php for($k = 1; $k < $level; $k++){ echo $str_seperator; }echo (($level>1)?"&bull;&nbsp;":"") . $val_category_name; ?>" ></optgroup>
		<?php
		}
		else
		{
			?><option <?php echo  $i_CatId=='0'? 'style="font-weight:bold;"' : "" ; ?> 
			<?php if($str_selected_value ==  $val_category_id) echo "selected='selected' "; ?>
			value="<?php echo $val_category_id; ?>"><?php for($k = 1; $k < $level; $k++){ echo $str_seperator; }echo (($level>1)?"&bull;&nbsp;":"") . $val_category_name; if($show_id=='1'){ echo "&nbsp; (cat ID:".$val_category_id.")";}?></option>
			<?php
		}
	}
	return ob_get_clean();
}
##############################  EluminousTechnologiesV2.2 ############################


}
?>