<?php

class logs
{
var $pObj;
var $fObj;
var $language;
var $appObj;
var $criteria;

function logs(& $appObj)
{
	$this->appObj=$appObj;
	$this->fObj=& $appObj->functObj;
	$this->pObj=& $appObj->pObj;
}

function getAuditLogs(& $pVar)
{	
	$this->pObj->rows_per_page=$this->appObj->GetAppVar("VARPgLenLong");
	$ARR_FILES=array();
	$handle=opendir(ARTICLE_LOG_DIR); 
	$slno = 1;
	$total_files=0;

	while ($file = readdir($handle)) 
	{	
		if (($file <>".") && ($file<>".."))
		{	
			$myfile = ARTICLE_LOG_DIR."/$file";					
			$ARR_FILES[$slno] = array("mtime"=>filemtime($myfile), "filename"=>"$file", "filesize"=>filesize($myfile));				
			$slno++; 
			$total_files++;
		} 
	} 
	closedir($handle); 
	if ($total_files ==0)
	{	
		$loglist ="<TR><TD colspan=5  align=center>-- This directory is Empty --</TD></TR>";
	}
	else
	{
		rsort($ARR_FILES);
		$MAX =$this->appObj->GetAppVar("VARPgLenLong");
		if($pVar['page_no'])
			$this->pObj->pageno=$pVar['page_no'];
		else
			$this->pObj->pageno=1;
		
		if (count($ARR_FILES))
		{	
			$total=count($ARR_FILES);
			$this->pObj->total_rows=$total_files;
			 $this->pObj->total_page = ceil($total_files/$MAX);
			if($pVar['page_no']!="")
				$sl=(($pVar['page_no']-1)* $this->pObj->rows_per_page);
			else
				$sl=0;
			$ARR_FILES = array_slice ($ARR_FILES, $sl, $MAX); 
			$tdcount = 0;
			$ROW_TEMPLATE=$this->fObj->ReadTemplate(ADMIN_TEMPLATE_PATH."/logs/auditLogs_row.html");
			foreach($ARR_FILES as $file_details)
			{	
				$sl++;
				$BGCOLOR=$this->fObj->COLORS[$slno%2];
				$file = $file_details["filename"];
				$Var_array['BGCOLOR']= $BGCOLOR;
				$Var_array['X']= "<input type=checkbox name='log[]' value='".$file."'>";
				$Var_array['slno']= $sl;
				$Var_array['file']= "<a href='/control/eventlog.php?section=auditlog&&log_file=$file'>$file</A>";
				$Var_array['last_modified']= date("Y-m-j h:i", $file_details["mtime"]);
				$fsize = $file_details["filesize"];
				
				if ($fsize >= 1048576)
				{	
					$fsize = $fsize/1048576; 
					$fsize = number_format($fsize, 2, '.', '')." MB";
				}
				elseif ($fsize >= 1024)
				{	$fsize = $fsize/1024; 
					$fsize = number_format($fsize, 2, '.', '')." KB";
				}
				else
				{	$fsize = "$fsize Bytes";
				}
				$Var_array['fsize']=$fsize;
				$loglist .=$this->fObj->ReplaceContent($ROW_TEMPLATE, &$Var_array);
			}
		}
	}
		return $loglist;	
}

function downloadFile($pVar)
{
	$FILE_PATH = ARTICLE_LOG_DIR."/".$pVar['log_file'];
	$FILE_NAME = $pVar['log_file'];
	$this->fObj->download($FILE_PATH, $FILE_NAME);
}

function getEventLog($pVar)
{	
	$this->pObj->rows_per_page=$this->appObj->GetAppVar("VARPgLenLong");
	$sql = "select * from ".DB_PREFIX."ado_eventlogs order by log_id desc"; 
	$this->pObj->pageno=$pVar['page_no'];
	$this->pObj->paging_require="yes";
	$row=$this->pObj->getData($sql);
	if($row)
	{
		$ROW_TEMPLATE=$this->fObj->ReadTemplate(MODULE_PATH."/templates/control/eventLogger_row.html");
		if($pVar['page_no']!="")
				$sl=(($pVar['page_no']-1)* $this->pObj->rows_per_page);
			else
				$sl=0;
		for($i=0, $max = count($row)-1; $i<=$max; $i++)
		{
			$sl++;
			$BGCOLOR=$this->fObj->COLORS[$sl%2];
			$Var_array['BGCOLOR']= $BGCOLOR;
			$Var_array['X']= "<input type=checkbox name='log[]' value='".$row[$i]['log_id']."'>";
			$Var_array['slno']= $sl;
			if ($row[$i]['url'])
				$description="<a href='#' onclick=\"return newBigWindow('".$row[$i]['url']."','R')\">".$row[$i]['description']."</a>\n";
			else
				$description="".$row[$i]['description']."\n";
			$Var_array['description']= $description;
			$Var_array['eventdate']="<FONT SIZE=1>".$row[$i]['eventdate']."</FONT>";	
			$loglist .=$this->fObj->ReplaceContent($ROW_TEMPLATE, &$Var_array);
			$sl++;
		}	
	}	
	else
		$loglist.="<TR ><TD colspan=3 align=center>--No Log Entry--</TD></TR>";
	return $loglist;
}

function deleteEventLog($pVar)
{	
	if($pVar['log'])
	{
	$sql = "delete from ".DB_PREFIX."ado_eventlogs where log_id in (".implode(",",$pVar['log']).")";
	$deleted=$this->pObj->deleteRecord("", $sql);
		if($deleted)
			return "Selected entries have been deleted from the Log.";
	}
	else
		return false;
}


function deleteTransLog($pVar)
{	
	if(count($pVar['trans_id'])>0)
	{
	$sql = "delete from ".DB_PREFIX."ado_transaction where trans_id in (".implode(",",$pVar['trans_id']).")";
	$deleted=$this->pObj->deleteRecord("", $sql);
		if($deleted)
			return "Selected entries have been deleted from the Log.";
	}
	else
		return false;
}


function GetTransReport(& $pVar)
{	
	$this->pObj->rows_per_page=$this->appObj->GetAppVar("VARPgLenSmall");
	if (!$pVar['start_date'])
		$start_date = date("Y-m-j", mktime(0,0,0, date("m"), date("d")-7, date("Y")));
	else
		$start_date=$pVar['start_date'];

	if (!$pVar['end_date'])
		$end_date = date("Y-m-j");	
	else
		$end_date=$pVar['end_date'];
	
	$criteria="&start_date=$start_date&end_date=$end_date";
	$return_array['START_DATE']=$start_date;
	$return_array['END_DATE']=$end_date;
	$OPEN_BAL = $this->getOpenBalance($start_date);
	$return_array['OPEN_BAL'] = CURRENCY." ".number_format($OPEN_BAL, 2, '.', ' ');
	
	//Get Closing Balance 
	$CLOSE_BAL = $this->getCloseBalance($end_date);
	$return_array['CLOSE_BAL'] = CURRENCY." ".number_format($CLOSE_BAL, 2, '.', ' ');
	
	//Decide Total Query Output
	$sql = "select trans_id, trans_date, amount, description, creditdebit, payment_mode from ".DB_PREFIX."ado_transaction where 1";
	if(! is_array($pVar['trans_id']) && $pVar['trans_id'])
		$sql .=" and payment_id='".$pVar['trans_id']."' order by trans_date asc, trans_id asc";
	else
		$sql .=" and trans_date between '$start_date' and '$end_date' order by trans_date asc, trans_id asc";
	$this->pObj->pageno=$pVar['page_no'];
	$this->pObj->paging_require="Yes";
	$row=$this->pObj->getData($sql);
	if($pVar['page_no']!="")
		$slno=(($pVar['page_no']-1)* $this->pObj->rows_per_page);
	else
		$slno=0;
	$this->criteria=$criteria;
	$total_records=$this->pObj->total_rows;
	$total_page=$this->pObj->total_page;
	$pageno=$this->pObj->pageno;
	if($row)
	{
		$slno++;
		$this->criteria= "&start_date=".urlencode($start_date)."&end_date=".urlencode($end_date)."";
		$ROW_TEMPLATE=$this->fObj->ReadTemplate(MODULE_PATH."/templates/control/transLogs_row.html");
		for($i=0, $max = count($row)-1; $i<=$max; $i++)
		{	
			if($i==0)
			{
				$BF_AMOUNT = $this->getBF($row[$i]['trans_id']); //Get Brought Forward Amount for Page Start Row.
				$B_F_ROW = "<TR ><TD>&nbsp;</TD><TD>&nbsp;</TD>";
				$B_F_ROW .= "<TD colspan=4>B/F</TD><TD align=right>".CURRENCY." ".number_format($BF_AMOUNT, 2, '.', ' ')."</TD></TR>\n";					
				$return_array['B_F_ROW'] = $B_F_ROW;
				$TRANS_BALANCE=$BF_AMOUNT;
			}
			
			$BGCOLOR=$this->fObj->COLORS[$slno%2];
			$var_array['BGCOLOR'] =$BGCOLOR;
			$var_array['slno'] =$slno;
			$var_array['X']="<INPUT TYPE=\"checkbox\" NAME=\"trans_id[]\" value=\"".$row[$i]['trans_id']."\">";	
			$var_array['trans_date']=$row[$i]['trans_date'];	
			$var_array['description']=$row[$i]['description'];		
			$var_array['payment_mode']=$this->fObj->ARR_PAY_MODE[$row[$i]['payment_mode']];		
			$amount = $row[$i]['amount'];
			if ($row[$i]['creditdebit'] == 'C')
			{	
				$TRANS_BALANCE+=$amount;
				$var_array['credit']=CURRENCY." ".number_format($amount, 2, '.', ' ');	
				$var_array['debit']="";
			}
			else
			{
				$TRANS_BALANCE-=$amount;
				$var_array['debit']=CURRENCY." ".number_format($amount, 2, '.', ' ');
				$var_array['credit']="";
			}

			$var_array['balance']=CURRENCY." ".number_format($TRANS_BALANCE, 2, '.', ' ');	
			$TRANS_REPORT .=$this->fObj->ReplaceContent($ROW_TEMPLATE, &$var_array, "y");
			$slno++;
			
		}	
	}	
	else
	{	
		$TRANS_REPORT.="<TR ><TD colspan=8 align=center>-- No Transaction --</TD></TR>";
	}
	$return_array['TRANS_REPORT']=$TRANS_REPORT;
	$return_array['TRANS_BALANCE']=CURRENCY." ".number_format($TRANS_BALANCE, 2, '.', ' ');
	$this->pObj->total_rows=$total_records;
	$this->pObj->total_page=$total_page;
	$this->pObj->pageno=$pageno;
	return $return_array;
}

function getOpenBalance($start_date)
{	
	$balance = 0;
	$credit=0;
	$debit =0;
	//Get Total Debit before the date.
	$sql = "select sum(amount) as credit, creditdebit  from ".DB_PREFIX."ado_transaction where  trans_date < '$start_date' group by creditdebit";
	$this->pObj->paging_require="no";
	$row=$this->pObj->getData($sql);
	if ($row)
	{	
		$credit = $row[0]['credit'];
		$debit=$row[1]['credit'];
	}	
	return $credit-$debit;
}

function getCloseBalance($end_date)
{	
	$balance = 0;
	$credit=0;
	$debit =0;
	//Get Total Debit on or before the date.
	$sql = "select sum(amount) as credit, creditdebit  from ".DB_PREFIX."ado_transaction where  trans_date <= '$end_date' group by creditdebit";
	$this->pObj->paging_require="no";
	$row=$this->pObj->getData($sql);
	if ($row)
	{	
		$credit = $row[0]['credit'];
		$debit=$row[1]['credit'];
	}	
	return $credit-$debit;
}

function getBF($trans_id) // Getting Brought Forward Balance for the Page Start Trans Line
{	$balance = 0;
	$credit=0;
	$debit =0;

	//Get Total Debit on or before the transaction.
	$sql= "select sum(amount) as credit from ".DB_PREFIX."ado_transaction  where creditdebit = 'C' and trans_id < $trans_id";
	$this->pObj->paging_require="no";
	$row=$this->pObj->getData($sql);
	if($row)
	{	
		$credit = $row[0]['credit'];
	}
$getDebit = "select sum(amount) as debit from ".DB_PREFIX."ado_transaction  where creditdebit = 'D' and trans_id < $trans_id";
	$row1=$this->pObj->getData($getDebit);
	if($row1)
	{	
		$debit = $row1[0]['debit'];
	}
	$balance = $credit - $debit;
	return $balance;
}

}
?>
