<?php
/*****************************************************

RSS20.php - RSS generator
All rights reserved - V1.0 -   Also, available for ASP
This script is distributed as freeware. You can change
it upon your needs but have to keep its copyright info

More scripts [PHP & ASP] and RSS directory on our site

******************************************************/
include_once("../includes/header.php");
$SITE_NAME=SITE_NAME;

// prefix for links, concatenated with their id
$item_link="".ARTICLE_VROOT_DIR."/article/articleDetail.php?article_id=";

$channel_copyright=$SITE_NAME;
$channel_editor=SUPPORT_EMAIL." (".SITE_NAME.")"; //Format: email_address OR email_address (name)
$channel_webmaster=SUPPORT_EMAIL." (".SITE_NAME.")";			//Format: email_address OR email_address (name)

$image_title="".SITE_NAME."";	// channel image or site logo
$image_url="".ARTICLE_VROOT_DIR."/rss/rssfeedimage.jpg";		// image URL [jpg, gif]
$image_link="".VROOT_DIR."/";
$image_width=160;
$image_height=107;
$encoding="iso-8859-1";

include_once("rss20inc.php");


/**************************************************
Purpose: add all channels available with RSS script

Format for add_channel():

add_channel( Channel_Title, Channel_Link, Channel_Description, SQL_Command, RSS_ID )

Parameters:
 - Channel_Title
 - Channel_Link - URL of the site
 - Channel_Description
 - SQL_Command - SQL command used to get info
		 SQL SELECT fields: Title,Link,Description,Date,Author
 - RSS_ID - unique ID of the RSS feed - leave empty for a single feed

***************************************************/


add_channel(
	"Latest ".SITE_NAME." Articles",
	"".VROOT_DIR."/",
	"Latest ".SITE_NAME." Articles.",
	"select heading as TITLE, article_id as link, short_description as description, article_date as Date,CONCAT(email,' ','(',author,')') as author,LEFT(article,100) as article from ".DB_PREFIX."AM_article WHERE status='A' order by article_date desc",	"");
	header ("Content-type: application/rss+xml");
	rss(); // create RSS content
?>