<?php
	/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name: manage_amazon.php
	# Updated: 01-07-09 by Swati Sharma
	# Status: open
	# Purpose: To activate and accept amazon settings for uploads
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
	*/
	require_once("../includes/config.php");
	require_once("../../../includes/global.php");
	require_once("../includes/conn.php");
	require_once("../lib/db_functions2.php");
	require_once("../lib/general_functions.php");
	require_once("../lib/common_functions.php");
	require_once("../lib/ms_based_template.php");
	require_once ('../includes/ms_settings.php');
	require_once("check_session.php");
	require_once("../includes/sorting.php");
	require_once("../includes/err_msg.php");
	require_once("../includes/tablenames.php");
	require_once("../includes/admin_filenames.php");
	require_once("../lib/S3.php");
	$debug_mode =0;
	$str_err="";
	
	##Specify title of page
	$txt_thanks="";
	$page_heading="Manage Amazon";
	
//--------------------------------------------------------------------------------------------------------------------------
## code to save details
if(isset($_POST["submitbtn"]))
{
    
	# Amazon Settings
	$is_amazon_active       = $_POST['is_amazon_active'];
	$txt_amazon_secret_key  = trim($_POST['txt_amazon_secret_key']);
	$txt_amazon_key         = trim($_POST['txt_amazon_key']);
	$txt_amazon_folder      = trim($_POST['txt_amazon_folder']);
	
	
	#Amazon validations
	if($is_amazon_active  == '1')
	{
	 	if($txt_amazon_secret_key == "") $str_err = ERR_AMAZON_SKEY;
	 	if($txt_amazon_key == "")        $str_err = ERR_AMAZON_KEY;
		if($txt_amazon_folder == "")     $str_err = ERR_AMAZON_FOLDER;
	}
	
	
	if($str_err == "")
	{
		 
		  if($is_amazon_active=="1")
		  {
			  $s3 = new S3($txt_amazon_key, $txt_amazon_secret_key);
			  if($s3->putBucket($txt_amazon_folder, S3::ACL_PUBLIC_READ))
			  {
				$update_status = update_db(TABLE_SETTINGS,'the_value',array($is_amazon_active),"the_key='AMAZON_STATUS'");
				update_db(TABLE_SETTINGS,'the_value',array($txt_amazon_secret_key),"the_key='AMAZON_SECRET_KEY'");
				update_db(TABLE_SETTINGS,'the_value',array($txt_amazon_key),"the_key='AMAZON_KEY'");
				update_db(TABLE_SETTINGS,'the_value',array($txt_amazon_folder),"the_key='AMAZON_DIGITAL_FOLDER'");
			  	
				$str_err = MSG_AMAZON_ACTIVATE;
				echo get_err_div($str_err,ADMIN_MANAGE_AMAZON_PHP,6000);
			  }
			  else
			  {
				 echo get_err_div(ERR_AMAZON_LOGIN_DETAILS);
			  }
		  }	 
		  else
		  { 
		       $update_status = update_db(TABLE_SETTINGS,'the_value',array($is_amazon_active),"the_key='AMAZON_STATUS'");
		  		$str_err = MSG_AMAZON_DEACTIVATE;
				echo get_err_div($str_err,ADMIN_MANAGE_AMAZON_PHP,6000);
		  }
		
	}
	else
	{
	   echo get_err_div($str_err);
	}	  
	
			
 } 
 
 if($str_err == "")
 {
 
 $res_setting = select_from_db(TABLE_SETTINGS,$debug_mode,'the_key,the_value'," the_key IN ('AMAZON_STATUS', 'AMAZON_SECRET_KEY','AMAZON_KEY','AMAZON_DIGITAL_FOLDER')");
		if(mysql_num_rows($res_setting) > 0)
			{
				while($row_setting = mysql_fetch_assoc($res_setting))
				{
				    $key = $row_setting['the_key'];
					switch($key)
					{
						case 'AMAZON_STATUS':
							  $is_amazon_active = trim($row_setting['the_value']);
							  break;
						case 'AMAZON_SECRET_KEY':
							  $txt_amazon_secret_key = trim($row_setting['the_value']);
							  break;
						case 'AMAZON_KEY':
						      $txt_amazon_key   = trim($row_setting['the_value']);
							  break;
						case 'AMAZON_DIGITAL_FOLDER':
							  $txt_amazon_folder  = trim($row_setting['the_value']);
							  break;
						
					}
				}
			}
	
				/*if($txt_amazon_secret_key!='' && $txt_amazon_key!='' && $txt_amazon_folder!='')
				{
					$s3 = new S3($txt_amazon_key, $txt_amazon_secret_key);
					if($s3->putBucket($txt_amazon_folder, S3::ACL_PUBLIC_READ))
					{
						$contents = $s3->getBucket($txt_amazon_folder);
						if(is_array($contents) && count($contents)>0)
						{
							$disable_folder_edit = "disabled";
						}
					}
				}*/

}
#Code for help contents
echo '<div id="help_data_settings" style="display:none;"><b>Amazon Settings</b><br>When Amazon is activated, you will get an option in Add/Edit digital products page, to allow you
 to upload their digital files on Amazon Web Services.<br> </div>';

echo '<div id="help_data_active" style="display:none;"><b>Activate Amazon</b><br>To Activate Amazon enter your Amazon secret key, Amazon key  and Amazon folder path  you received from Amazon after registration. </div>';


echo '<div id="help_data_skey" style="display:none;"><b>Amazon Secret Key</b><br>Enter the Amazon Secret Key which you get when you register in Amazon Web Services (AWS) i.e. Secret Key provided by Amazon</div>';

echo '<div id="help_data_key" style="display:none;"><b>Amazon Key</b><br>Enter the Amazon Key which you get when you register in Amazon Web Services (AWS) i.e Acces Key provided by Amazon .</div>';

echo '<div id="help_data_folder" style="display:none;"><b>Amazon Digital Folder</b><br>Enter the Amazon Digital Folder name  which you want to create in Amazon Web Services (AWS).</div>';

 require_once("header.php"); ?>
 <script language="javascript" type="text/javascript" src="<?php echo $site_path;?>javascript/jquery.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo $site_path;?>javascript/nodropin.js"></script>

<script language="javascript" type="text/javascript" src="<?php echo $site_path;?>javascript/form_validator.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo $site_path;?>javascript/common_function.js"></script>

<SCRIPT LANGUAGE = "JavaScript" type="text/javascript">
function checkForm()
{
	
	   if(document.getElementById('is_amazon_active1').checked)
		{
		    
			  if(document.getElementById('txt_amazon_secret_key').value == "")
			  {
			   document.getElementById('txt_amazon_secret_key').style.border="1px solid #000000";
			   document.getElementById('txt_amazon_secret_key').focus();
			   alert("<?php echo ERR_AMAZON_SKEY;?>");
			   return false;
			  }
			  if(document.getElementById('txt_amazon_key').value == "")
			  {
			   document.getElementById('txt_amazon_key').style.border="1px solid #000000";
			   document.getElementById('txt_amazon_key').focus();
			   alert("<?php echo ERR_AMAZON_KEY;?>");
			   return false;
			  }
			  if(document.getElementById('txt_amazon_folder').value == "")
			  {
			   document.getElementById('txt_amazon_folder').style.border="1px solid #000000";
			   document.getElementById('txt_amazon_folder').focus();
			   alert("<?php echo ERR_AMAZON_FOLDER;?>");
			   return false;
			  }
		}
		
	
		
 } //function checkform
 
</SCRIPT>
<script language="javascript">
function show_display(id1,id2)
	{   
        if(document.getElementById(id1).value == 1)
		{
			document.getElementById(id2).style.display = 'block';
			//document.getElementById(id3).style.display = 'block';
		}
    }
	
function hide_display(id1,id2)
	{
	    if(document.getElementById(id1).value == 0)
		{
		   
			document.getElementById(id2).style.display = 'none';
			//document.getElementById(id3).style.display = 'none';
		}
	}
</script>		


<form action="<?php echo $_SERVER['PHP_SELF'];?>" method="post" enctype="multipart/form-data" name="frmpage" onSubmit="javascript:return checkForm();">
<input type="hidden" name="action" value="<?php echo $action;?>">
<!--<input type="hidden" name="id" value="<?php echo $id;?>">-->
<div id="dropin" class="helpdiv">
			<div align="right" style="height:17px;">
				<font face="Verdana, Arial, Helvetica, sans-serif" size="1">
		  			<a href="#" onClick="dismissbox();return false">
					<img src='<?php echo SITE_PATH;?>images/close_button.gif' border='0' /></a></font>&nbsp;&nbsp;
				
		  	</div>
		  	<div id="help_div" class="text"></div>	
  </div>
<table width="95%" align="center" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td valign="top">
	<h1><?php echo $page_heading;?></h1><br /><br />
<a title="back to listing" href="view_sections.php?module_name=vip_shopping_cart&for=4">Back</a>
<br /><br />
	
	 <table width="70%" border="0" align="left" cellpadding="1" cellspacing="1" class="shows">
				  <tbody>
					<tr>
					  <td colspan="3" align="left" height="30"><b>Amazon Settings</b>&nbsp;&nbsp;<a onMouseOver="this.style.cursor='pointer';" onClick="initbox2('help_div',event,'<?php echo "help_data_settings"; ?>', 'Text'); return false;" title='Click me for help'><img src="<?php echo $site_path."images/help_icon.gif";?>" border="0" /></a></td>
				    </tr>
					<?php
					 if($is_amazon_active == 0 || $is_amazon_active == "")
					 {
					  $display_amazon_row = "style='display:none;'";
					 }
					 else
					 {
					  $display_amazon_row = "style='display:block;'";
					 }
					?>
					<tr>
					  	<td  align="right">Activate Amazon </td>
					  	<td colspan="2"  align="left">
						<label><input type="radio" border="0" name="is_amazon_active" id="is_amazon_active1" <?php if($is_amazon_active == 1) echo "checked"; ?> value='1' style="border:none;" onClick="javascript:return show_display('is_amazon_active1','amazon_row');" />&nbsp;&nbsp;Yes</label>&nbsp;&nbsp;<label><input type="radio" name="is_amazon_active" id="is_amazon_active2" <?php if($is_amazon_active == 0) echo "checked"; ?> value='0' style="border:none;" onClick="javascript:return hide_display('is_amazon_active2','amazon_row');" />&nbsp;&nbsp;No</label> &nbsp;&nbsp;<a onMouseOver="this.style.cursor='pointer';" onClick="initbox2('help_div',event,'<?php echo "help_data_active"; ?>', 'Text'); return false;" title='Click me for help'><img src="<?php echo $site_path."images/help_icon.gif";?>"  border="0" /></a></td>
				    </tr>
					
					<tr style="border:none;">
					<td colspan="3" valign="top" style="border:none;">
					 	<div align="center">
						<table width="100%" border="0" cellpadding="1" cellspacing="1" id="amazon_row" <?php echo $display_amazon_row;?>>
						<tr>
						  <td width="37%" align="right">Amazon Secret Key </td>
						  <td width="63%" align="left" valign="top"><input  class="textfield" type="text" name="txt_amazon_secret_key" id="txt_amazon_secret_key" value="<?php echo $txt_amazon_secret_key;?>" size="45" title="<?php echo ERR_AMAZON_SKEY; ?>"  />&nbsp;&nbsp;<a onMouseOver="this.style.cursor='pointer';" onClick="initbox2('help_div',event,'<?php echo "help_data_skey"; ?>', 'Text'); return false;" title='Click me for help'><img src="<?php echo $site_path."images/help_icon.gif";?>"  border="0" /></a> </td>
						</tr>
						<tr>
						  <td  align="right">Amazon Key </td>
						  <td align="left" valign="top"> <input class="textfield" type="text" name="txt_amazon_key" id="txt_amazon_key" value="<?php echo $txt_amazon_key; ?>" size="45" title="<?php echo ERR_AMAZON_KEY; ?>" />&nbsp;&nbsp;<a onMouseOver="this.style.cursor='pointer';" onClick="initbox2('help_div',event,'<?php echo "help_data_key"; ?>', 'Text'); return false;" title='Click me for help'><img src="<?php echo $site_path."images/help_icon.gif";?>"  border="0" /></a> </td>
						</tr>
						<tr>
						  <td align="right">Amazon Digital Folder </td>
						  <td align="left" valign="top"><input class="textfield" type="text" name="txt_amazon_folder" id="txt_amazon_folder" value="<?php echo $txt_amazon_folder; ?>" title="<?php echo ERR_AMAZON_FOLDER;?>" size="45" <?php echo $disable_folder_edit; ?> />&nbsp;&nbsp;<a onMouseOver="this.style.cursor='pointer';" onClick="initbox2('help_div',event,'<?php echo "help_data_folder"; ?>', 'Text'); return false;" title='Click me for help'><img src="<?php echo $site_path."images/help_icon.gif";?>"  border="0" /></a>
						  </td>
						</tr>
					  </table>
					 </div></td>
					</tr>
									
					<tr>
					  	<td align="left"><input name="submitbtn" type="submit"  value="Save"></td>
				    	
					</tr>
				</tbody>
  </table>
</td>
</tr>
</table>	
</form>
<?php include("footer.php"); ?>