// JavaScript Document
	/*
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	# Name: form_validator.js
	# Usage: included the file to validate the contents of the form. ( WRITE USAGE DETAILS ) 
	# Created : Rupal Pinge & Sham Shriwastav (30-05-2007)
	# Update  : 30-05-2007 Sham Shriwastav 
	# Status  : open
	# Purpose : make javascript code seprate from other coding
	*/
	
	function isFilled(str){ return (str != ""); }

	function isEmail(string) { return (string.search(/^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/) != -1); }

 	function isDigital(str)	{ return(parseInt(str,10)==(str*1)); /*return(parseFloat(str,10)==(str*1));*/ }

 	function isCurrency(val) { 	var re = /^(\$?\d+\$?|\$?\d+\.\d+\$?)$/; return (re.test(val)); }
	
	function validate(req,email,digits,currs)
	{
		var field, i;
		var req_len = parseInt(req.length);
		var email_len = parseInt(email.length);
		var digits_len = parseInt(digits.length);
		var currs_len = parseInt(currs.length);
		
		for (i=0;i<req_len;i++)
		{
				var field = document.getElementById(req[i]);
				if (field)
				{
					field.style.border="1px solid #000000";
					if ((field.type == 'checkbox')||(field.type == 'radio'))
					{
						var field = document.getElementsByName(req[i]);
						var chk = false;
						for(l=0;l<field.length;l++)
						{
							if (field[l].checked) chk = true;
						}
						if (!chk) 
						{
							alert (field[0].title);
							field[0].style.border="1px solid #FF0000";
							return false; 
							break;
						}
					}
					else
					{
						if (!isFilled(trim(field.value)))
							{
							alert (field.title);
							field.value="";
							field.focus();
							field.style.border="1px solid #FF0000";
							return false;
							}
					}
				}
				else
					alert(req[i] + " does not exist" );		
		}
	
	
			for (i=0;i<email_len;i++)
			{
				var field = document.getElementById(email[i]);
				field.style.border="1px solid #000000";
				if (!isEmail(trim(field.value)))
				 {
					alert("Please fill in valid email addresses.");
					field.style.border="1px solid #FF0000";
					field.focus();
					return false;
					break;
				}
			}
	
			for (i=0;i<digits_len;i++)
			{
	
				var field = document.getElementById(digits[i]);
					field.style.border="1px solid #000000";
				if ( field.value !="")
				{
					if (!isDigital(trim(field.value))) 
					{
						alert("Please fill in valid numeric value.");
						field.style.border="1px solid #FF0000";
						field.focus();
						return false;
						break;
					}	
				}
			}
	
			for (i=0;i<currs_len;i++)	{
	
				var field = document.getElementById(currs[i]);
					field.style.border="1px solid #000000";
				if (!isCurrency(trim(field.value))) {
	
					alert("Please fill only digits(0-9) and decimal point in "+field.title + ".");
					field.style.border="1px solid #FF0000";
					field.focus();
					return false;
					break;
	
				}}
	
			return true;
	}
	
	
//-- trim functions
// Removes Leading whitespaces
	function LTrim( value )
	{
		var re = /\s*((\S+\s*)*)/;
		return value.replace(re, "$1");
		
	}

// Removes ending whitespaces
	function RTrim( value )
	{
		var re = /((\s*\S+)*)\s*/;
		return value.replace(re, "$1");
		
	}

// Removes leading and ending whitespaces
	function trim( value ) 
	{
		return LTrim(RTrim(value));
	}


	 function isDate(dateStr)
	 {
			var datePat = /^(\d{1,2})(\/|-)(\d{1,2})(\/|-)(\d{4})$/;
			var matchArray = dateStr.match(datePat); // is the format ok?
			if (matchArray == null)
			{
				alert("Please enter your date as dd/mm/yyyy. Your current selection reads: " + dateStr);
				return false;
			}
			
			day = matchArray[1]; // p@rse date into variables
			month = matchArray[3];
			year = matchArray[5];
			
			if (month < 1 || month > 12)
			{ // check month range
				alert("Month must be between 1 and 12.");
				return false;
			}
			
			if (day < 1 || day > 31)
			{
				alert("Day must be between 1 and 31.");
				return false;
			}
			
			if ((month==4 || month==6 || month==9 || month==11) && day==31)
			{
				alert("Month "+month+" doesn`t have 31 days!");
				return false;
			}
			
			if (month == 2)
			{ // check for february 29th
				var isleap = (year % 4 == 0 && (year % 100 != 0 || year % 400 == 0));
				if (day > 29 || (day==29 && !isleap)) 
				{
					alert("February " + year + " doesn`t have " + day + " days!");
					return false;
				}
			}
			return true; // date is valid
		}
		
		
function validatedates(dateStr)
{
	 if(dateStr != "" )
	 {
	  var month = new Array();
	  month['01'] = "January";
	  month['02'] = "February";
	  month['03'] = "March";
	  month['04'] = "April";
	  month['05'] = "May";
	  month['06'] = "June";
	  month['07'] = "July";
	  month['08'] = "August";
	  month['09'] = "September";
	  month['10'] = "October";
	  month['11'] = "November";
	  month['12'] = "December";
	  
	  // -- get from date time stamp.
	  arr_fd = dateStr.split("/");
	  var strMonthfd = month[arr_fd[1]];
	  var myDate = new Date(strMonthfd+' '+arr_fd[2]+', '+arr_fd[0]+' 00:00:00');
	  var timestampFD = myDate.getTime()/1000.0;
	  //alert(strMonthfd+' '+arr_fd[2]+', '+arr_fd[0]+' 00:00:00 ======== ' + timestampFD);
	  
	  // -- get todays  date time stamp.
	  var today_date = new Date;
	  var timestampTD = today_date.getTime()/1000.0;
  
	  if(timestampFD < timestampTD)
	  {
		   alert("Please select  date greater than todays date")
		   return false;
	  }
 }
 return true;
}



