<?php	
session_start();
include_once("../../../includes/global.php");
include_once(CLASS_PATH."/class.factory-class.php");
$factoryobj = new factoryclass;
$conn=& $factoryobj->loadClass('connect_db');
$db=$conn->database_connect_select();
$appObj=& $factoryobj->loadClass("applicationStart",& $factoryobj, & $db);
$SITE_NAME=$appObj->getAppVar("SITE_NAME");
$SUPPORT_EMAIL=$appObj->getAppVar("SUPPORT_EMAIL");
$VROOT_DIR=VROOT_DIR;
$UNSUBSCRIBE_LINK = ARTICLE_VROOT_DIR."/article/unsubscribe.php?email=$email";
if(!$appObj->checkValidAccessPlugin('article'))
{	
	$FATAL_ERROR = 1;
	$TEMPLATE="<B>Unauthorised request for installation of Article Manager.</B>";
}
else	if($_POST["SUBMIT_CHANGES"])
{	
	if(is_writable(RESOURCE_DIR))
	{
		//$files.="<B>".RESOURCE_DIR."/</B><br>";
	}
	else
	{
		$files.="Sorry, You don't have writeable permission on this directory.";
		$files.="<B>".RESOURCE_DIR."/</B><br>";
		$data_array['INSTALL_NOTICE']=$files;
		print $TEMPLATE=$appObj->functObj->ReplaceContent($appObj->functObj->ReadTemplate(TEMPLATE_PATH."/common/install_notice.html"), $data_array, "Y");	
		exit;
	}
		
	if(!is_dir(RESOURCE_DIR."/article"))
	{
		$oldumask=umask(0) ;
		if(mkdir(RESOURCE_DIR."/article",0777))
		{
			umask( $oldumask );
		}
		else
		{
			$FATAL_ERROR=1;
		}
		if(!is_dir(RESOURCE_DIR."/article/images"))
		{
			$oldumask=umask(0) ;
			if(mkdir(RESOURCE_DIR."/article/images",0777))
			{
				umask( $oldumask );
			}
			else
			{
						$FATAL_ERROR=1;
			}
		}
		if(!is_dir(RESOURCE_DIR."/article/rss_image"))
		{
			$oldumask=umask(0) ;
			if(mkdir(RESOURCE_DIR."/article/rss_image",0777))
			{
				umask( $oldumask );
			}
			else
			{
				$FATAL_ERROR=1;
			}
		}
	}
		if(is_dir(RESOURCE_DIR."/article"))
			$appObj->functObj->moveFiles(APP_PATH."/plugins/article/install/moveToResource",RESOURCE_DIR."/article");
		if(is_dir(RESOURCE_DIR."/article/images"))
			$appObj->functObj->moveFiles(APP_PATH."/plugins/article/install/moveToResource/images",RESOURCE_DIR."/article/images");
		if(is_dir(RESOURCE_DIR."/article/rss_image"))
		{
			$appObj->functObj->moveFiles(APP_PATH."/plugins/article/install/moveToResource/rss_image",RESOURCE_DIR."/article/rss_image");
		}

	// -- EluminousTechnologiesv2.2
	// -- code apend article related htaccess rule in .htaccess file.
	########################################################
	if(!$FATAL_ERROR)
	{
		if(!(@$fp1=fopen(APP_PATH."/plugins/article/install/htaccess.txt", "r")))
		{	
			$FATAL_ERROR=1;
			$sScriptPath=APP_PATH;
			$files .= "<br />Create <B>.htaccess</B>: <font color=red>Error! Cannot create at $sScriptPath/. Check Permission. Aborting...</font>";
		}
		else
		{	
			$path=APP_PATH."/plugins/article/install/htaccess.txt";
			$fp3 =fopen(APP_PATH."/plugins/article/install/htaccess.txt", "r");
			$htaccessContent=fread($fp3,filesize($path));
			fclose($fp3);
	
			$pathHT=APP_PATH."/.htaccess";
			$fpHT=fopen(APP_PATH."/.htaccess", "r");
			$htaccessContent1=fread($fpHT,filesize($pathHT));
			fclose($fpHT);
			
			if(strpos($htaccessContent1,"article/subcat/([-a-zA-Z0-9_]+)/index.html"))
			{
			}
			else
			{
				$arrHtaccess =file(APP_PATH."/.htaccess");
				for($i=0; $i < count($arrHtaccess); $i++)
				{
					if(strpos($arrHtaccess[$i],"article/displayarticle.php"))
					{
						$arrHtaccess[$i].=$htaccessContent;
					}
					$contents3.=$arrHtaccess[$i];
				}
				$fp4 =fopen(APP_PATH."/.htaccess", "w");
				fputs($fp4,$contents3);
				fclose($fp4);
			}
		}
	}
	########################################################

			if(!$FATAL_ERROR)
			{	
				include("./db.php");
				$REPORT.= "Create Tables on Database <B>".DBNAME."</B>: Done";
				
				//$REPORT.= "<br><br><span class=\"title1\" style=\"color:red;\"><strong>Now change the permission of the following file(s) and folder(s).</strong></span><br>
				$REPORT.="<BR><BR><li><span class=\"title1\" style=\"color:red;\"><strong>Note: If you plan to install other plugins NOW then you don't need to change the following permission until all the installation is completed.<br />Otherwise, please follow the instructions below to change permission of:</strong></span><br />
							+ ".APP_PATH."/.htaccess to 644.<br>
							+ ".APP_PATH."/resources to 755. <br>
							+ ".APP_PATH."/resources/article to 755.<br>
							+ ".APP_PATH."/resources/article/article.html to 755(writable).<br>
							+ ".APP_PATH."/plugins/article/article/templates/control/article_new.html to 755(writable).<br>
							<br>
							<br>
							<span class=\"title1\" style=\"color:red;\"><strong>Delete plugins install directory.</strong></span><br>
							+ ".APP_PATH."/plugins/article/install<br><br>";
				
				$REPORT.="<BR>Move on to \"Edit Module Setting\" for further modifications in Article Module.<BR>Thank You for installing Article plugin.<BR><br><Br><center><A HREF='javascript: window.close();'>Close Window</A></center>";
			}
			$TEMPLATE = "$REPORT";
			if($FATAL_ERROR)
				$TEMPLATE .="$files<br><br><B>Please remove the above errors and <A HREF='install.php'>Click here</A> to Install again.</B>";
			$REPORT_NOTICE=1;
	}
	else
	{	
		$data_array['DB_PREFIX']=DB_PREFIX;
		$data_array['DBNAME']=DBNAME;
		$TEMPLATE	= $appObj->functObj->ReplaceContent($appObj->functObj->ReadTemplate(rtrim(str_replace("install.php","",dirname ($_SERVER['SCRIPT_FILENAME'])),"/")."/install.html"), $data_array, "Y");	
	}
	if($FATAL_ERROR || $REPORT_NOTICE)
	{
		$data_array['INSTALL_NOTICE']=$TEMPLATE;
		$TEMPLATE=$appObj->functObj->ReplaceContent($appObj->functObj->ReadTemplate(TEMPLATE_PATH."/common/install_notice.html"), $data_array, "Y");	
	}

	print $TEMPLATE;
	flush();

?>