<?php
	/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name: add_edit_product.php
	# Updated: 2-05-2008 by Sham Shriwastav  
	# Status: open
	# Purpose: 
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
	*/
	require_once("../includes/config.php");
	include_once("../../../includes/global.php");
	require_once("../includes/conn.php");
	require_once("../lib/S3.php");
	require_once("../lib/db_functions2.php");
	require_once("../lib/general_functions.php");
	require_once("../lib/common_functions.php");
	require_once("../lib/ms_based_template.php");
	require_once ('../includes/ms_settings.php');
	require_once("check_session.php");
	require_once("../includes/sorting.php");
	require_once("../includes/err_msg.php");
	require_once("../includes/tablenames.php");
	require_once("../includes/admin_filenames.php");
	$debug_mode=0;

	##Specify title of page
	$page_heading="Add Links";
	$upload_type="files";
	$start = $_REQUEST['start'];
	$str_params=$_REQUEST['str_params'];
	$id = $_REQUEST['id'] ;
	$action = $_REQUEST['action'];
	if(isset($_REQUEST['upload_type']))
	{
		$upload_type=$_REQUEST['upload_type'];
	}
	
	 $res_setting = select_from_db(TABLE_SETTINGS,$debug_mode,'the_key,the_value'," the_key IN ('AMAZON_STATUS', 'AMAZON_SECRET_KEY','AMAZON_KEY','AMAZON_DIGITAL_FOLDER')");
	if(mysql_num_rows($res_setting) > 0)
	{
		while($row_setting = mysql_fetch_assoc($res_setting))
		{
			$key = $row_setting['the_key'];
			switch($key)
			{
				case 'AMAZON_STATUS':
					  $is_amazon_active = trim($row_setting['the_value']);
					  break;
				case 'AMAZON_SECRET_KEY':
					  $AMAZON_SECRET_KEY = trim($row_setting['the_value']);
					  break;
				case 'AMAZON_KEY':
					  $AMAZON_KEY   = trim($row_setting['the_value']);
					  break;
				case 'AMAZON_DIGITAL_FOLDER':
					  $AMAZON_DIGITAL_FOLDER  = trim($row_setting['the_value']);
					  break;
			}
		}
		
		/*if($is_amazon_active=='1')
		{
			$s3 = new S3($AMAZON_KEY, $AMAZON_SECRET_KEY);
			if($s3->putBucket($AMAZON_DIGITAL_FOLDER, S3::ACL_PUBLIC_READ))
				$is_amazon_active ='1';
			else
				$is_amazon_active ='0';
		}*/

	}
							

	## code to delete the file
	if(isset($_GET["delid"]))
	{
		$str_table_names = TABLE_PRODUCTS_FILES;
		$str_filter = " file_id=".$_GET["delid"]; 
		$debug_mode = 0;
		$str_limit = 1;
		$file_url = get_field("product_file",TABLE_PRODUCTS_FILES,$str_filter);
		if($file_url!='')
		{
			$parse_url = parse_url($file_url);
			if($parse_url['host'] == "$AMAZON_DIGITAL_FOLDER.s3.amazonaws.com")
			{
				// Delete files form Amazon server
				$s3 = new S3($AMAZON_KEY,$AMAZON_SECRET_KEY);
				$dele_file = $s3->deleteObject($AMAZON_DIGITAL_FOLDER, basename($file_url));
			}	
		}
		$delreturn = delete_from_db($str_table_names, $str_filter, $debug_mode, $str_limit);
	}
	
	## code to save details
	if(isset($_POST["submitbtn"]))
	{
		$filename=$_FILES["file_1"]["name"];
		
		if(strlen(trim($filename)) <= 0)
		{
			$filename=$_REQUEST["edit_product_file"];
			$txt_download_link=$_REQUEST["txt_download_link"];
			if(strlen(trim($txt_download_link))>0)
			{
				$filename=$txt_download_link;
			}
		}
		 $txt_dob=$_POST["txt_dob"];
		 $txt_valid_days=$_POST["txt_valid_days"];
		 $txt_valid_downloads=$_POST["txt_valid_downloads"];
	
		if(intval(strtotime($txt_dob))<=0 )
		{
			//$txt_dob="2100-01-01";
			$txt_dob="0000-00-00";
		}
		if(intval(trim($txt_valid_days))<=0)
		{
			$txt_valid_days=0;//9999;
		}
		
		// -- ============================================================= -- \\
		// -- below code added by Abhijeet on 01-06-2010.
		// -- REASON: we have consider $txt_valid_downloads = 0, means 1 download. If admin has set exipry date or day after registration means unliminted till exipry date or day after registration and if with it $txt_valid_downloads is set empty(means only one download by deault) will only allow one download.
		// -- ============================================================= -- \\
		if((intval(strtotime($txt_dob))>0 || intval(trim($txt_valid_days)) >0) &&  intval(trim($txt_valid_downloads))<=0)
			$txt_valid_downloads=99999999;
		elseif(intval(trim($txt_valid_downloads))<=0)
			$txt_valid_downloads=1;//99999999;
		// -- ============================================================= -- \\
		
		
		if($upload_type=="browse" or $upload_type=="links")
		{
			if($filename=='') $arr_error[] ="Product link"; 
		}
		$str_err=generate_errmsg($arr_error);
		if($str_err=="")
		{
			#code to add New 
			if($str_err=="" && is_duplicate(TABLE_PRODUCTS_FILES,'','prod_id',"product_file='".addslashes($filename)."' and prod_id=$id"))
			{
			  	$str_err=ERR_DUPLICATE_PROD; 
				echo get_err_div($str_err);
			}
			else
			{
				if($upload_type=="browse")
				{
					$upload_dir="../uploads/";
					$filename=$_FILES["file_1"]["name"];
					if($_POST['upload_amazon']==1)
					{
						$fileName 	  = $_FILES["file_1"]['name'];
						$fileTempName = $_FILES["file_1"]['tmp_name'];
						$fileext	  = explode(".",$fileName);
						$ext		  = strtolower($fileext[1]);
						$fileName 	  = rand(0,1000).date("YmdHis").".$ext";
						//create a new bucket
						$s3 = new S3($AMAZON_KEY,$AMAZON_SECRET_KEY);
						$s3->putBucket($AMAZON_DIGITAL_FOLDER, S3::ACL_PUBLIC_READ);
						
						//move the file
						if ($s3->putObjectFile($fileTempName, $AMAZON_DIGITAL_FOLDER, $fileName, S3::ACL_PUBLIC_READ))
						{
							$filename = "http://$AMAZON_DIGITAL_FOLDER.s3.amazonaws.com/".$fileName;
							$save_flag=true;
						}
						else
						{
							$save_flag=false;
						}
						
						
					}
					else
					{
						if(copy($_FILES["file_1"]["tmp_name"], $upload_dir.$filename))
						{
							$save_flag=true;
							$filename=$site_path."uploads/".$filename;
						}
						else
						{
							$save_flag=false;					
						}
					}
				}
				elseif($upload_type=="links")
				{
					$filename=$txt_download_link;
					$save_flag=true;
				}
				elseif($upload_type=="files")
				{
					$save_flag=true;	
				}
				else
				{
					$save_flag=false;		
				}
			}
			if($save_flag==true)
					{
						if($upload_type=="files")
						{
							if(isset($_POST['chk']))
							{ 
								foreach($_POST['chk'] as $k => $v)
								{
									$filename=$site_path."uploads/".$v;									
									$str_fields_names="prod_id,product_file,exp_date,no_of_days,no_of_download";
									$arr_val=array($id,$filename,$txt_dob,$txt_valid_days,$txt_valid_downloads);
									$ins_prod_id=insert_into_db(TABLE_PRODUCTS_FILES,$str_fields_names,$arr_val,'');
								}
								$str_err="Links added successfully";
								echo get_err_div($str_err,ADMIN_ADD_EDIT_DIGITAL_PRODUCT_FILES_PHP."?id=$id&action=edit&upload_type=$upload_type",1000);
							}	
						}
						else
						{
							$str_fields_names="prod_id,product_file,exp_date,no_of_days,no_of_download";
							$arr_val=array($id,$filename,$txt_dob,$txt_valid_days,$txt_valid_downloads);
							$ins_prod_id=insert_into_db(TABLE_PRODUCTS_FILES,$str_fields_names,$arr_val,'0');
							if($ins_prod_id== false)// for the error tracking at the time of data insertion
							{
								 $str_err = "1001_".ERR_IN_SAVE ;
								 echo get_err_div($str_err);
							}	 
							else
							{
								$str_err="Link added successfully";
								echo get_err_div($str_err,ADMIN_ADD_EDIT_DIGITAL_PRODUCT_FILES_PHP."?id=$id&action=edit&upload_type=$upload_type",1000);
							}
						}
					}		
					/*else
					{
						$str_err = "1002_".ERR_IN_SAVE ;
						echo get_err_div($str_err);
					}	*/				
			
			}
			#code to update edited.   
	}#closing of str_err			

## code to get the detial of selected record from database for edit
if($action=="edit" && $id!="" && $str_err=="")
{	
	$res_data = select_from_db(TABLE_PRODUCTS,'','*',"prod_id='$id'");
	$row_data = mysql_fetch_array($res_data);
	if (@mysql_num_rows($res_data)!= 0)
	{	
		$page_heading="Add Links"; 
		//prod_name,prod_title,big_descr,prod_wt,categoryid,featured,discount_avail,price,status
		$txt_prod_name=stripslashes($row_data["prod_name"]);
		$txt_dob=trim(stripslashes($row_data["exp_date"]));
		$txt_valid_days=trim(stripslashes($row_data["no_of_days"]));
		$txt_valid_downloads=trim(stripslashes($row_data["no_of_download"]));
		$edit_product_file=trim(stripslashes($row_data["product_file"]));
	}
}


if($upload_type=="browse" or $upload_type=="links")
{
	$onclick_call_function="return checkForm($upload_type,document.frm_manage.chk_all,document.frm_manage.chk,'delete')";
}
elseif($upload_type=="files")
{
	$onclick_call_function="return action_check(document.frm_manage.chk_all,document.frm_manage.chk,'delete')";
}
else
{
	$onclick_call_function="";
}




	
?>
<?php require_once("header.php"); ?>
<script language="javascript" src="<?php echo $site_path;?>javascript/form_validator.js"></script>
<script language="javascript" src="<?php echo $site_path; ?>javascript/common_function.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/checkbox_functions.js"></script>
<SCRIPT LANGUAGE = "JavaScript" type="text/javascript">
function checkForm(upload_type)
{
		/*
		alert('hi');
		alert(upload_type);
		//alert(document.getElementById('edit_product_file').value);
		
		if(document.getElementById('my_file_element') != null)
		{
				alert('please select file to upload');
				alert(document.getElementById('my_file_element').value);
		}
		*/
		
		if(upload_type=='files')
		{
			flag=action_check(document.frmpage.chk_all,document.frmpage.chk,'upload')
			return flag;
		}
		else if(upload_type=='browse')
		{
			if(document.getElementById('my_file_element').value.length <=0 || document.getElementById('my_file_element') == null)
			{
				alert('please select file to upload');
				return false;
			}
			else
			{
				return true;
			}
		}
		else if(upload_type=='links')
		{
			if(document.getElementById('txt_download_link').value.length <=0 || document.getElementById('txt_download_link') == null)
			{
				alert('please insert link to upload');
				return false;
			}
			else
			{
				return true;
			}
		}
		else
		{
			return false;
		}
		return false;
}
</SCRIPT>
<link rel="stylesheet" type="text/css" media="all" href="<?php echo SITE_PATH;?>javascript/calendar/calendar-win2k-cold-1.css"/>

<script type="text/javascript" src="<?php echo SITE_PATH ; ?>javascript/calendar/calendar.js"></script>
<script type="text/javascript" src="<?php echo SITE_PATH ; ?>javascript/calendar/calendar-en.js"></script>
<script type="text/javascript" src="<?php echo SITE_PATH ; ?>javascript/calendar/calendar-setup.js"></script>
<form action="<?php echo $_SERVER['PHP_SELF'];?>" method="post" enctype="multipart/form-data" name="frmpage" id="frmpage" onsubmit="return checkForm('<?php echo $upload_type;?>');">
<input type="hidden" name="action" value="<?php echo $action;?>">
<input type="hidden" name="id" value="<?php echo $id;?>">
<input type="hidden" name="upload_type" value="<?php echo $upload_type;?>">
<input type="hidden" name="start" value="<?php echo $start;?>">
<input type="hidden" name="str_params" value="<?php echo $str_params;?>">

<table width="95%" align="center" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td>
			<h1><?php  echo $page_heading ;?></h1><br /><br />

	 <table width="100%" border="0" align="left" cellpadding="1" cellspacing="1" class="shows">
				  <tbody>
					<tr class="">
					  <td align="right" height="50">Upload Type </td>
				      <td align="left" height="50">
					  		<input type="radio" name="upload_type" id="upload_type" value="files" <?php if($upload_type=="files")	{echo "checked";}?> onclick="JavaScript: this.form.submit();"/>&nbsp;By selecting files&nbsp;&nbsp;&nbsp;
							<input type="radio" name="upload_type" id="upload_type" value="browse"<?php if($upload_type=="browse")	{echo "checked";}?> onClick="JavaScript: this.form.submit();"/>&nbsp;By browsing files&nbsp;&nbsp;&nbsp;
							<input type="radio" name="upload_type" id="upload_type" value="links" <?php if($upload_type=="links")	{echo "checked";}?> onClick="JavaScript: this.form.submit();"/>&nbsp;By enter link&nbsp;&nbsp;&nbsp;					  </td>
					</tr>
					
					<?php
							if($txt_dob=="2100-01-01")
							{
								$txt_dob="";
							}
							if($txt_valid_days==9999)
							{
								$txt_valid_days="";
							}
							if($txt_valid_downloads==99999999)
							{
								$txt_valid_downloads="";
							}
					?>
					<?php 
						if($upload_type=="browse")
						{
					?>
							<tr>
								  <td align="right" valign="top">Download URL<span class="error"> * </span></td>
								  <td align="left" ><input id="my_file_element" type="file" name="file_1" size="31" title="Please select download URL" value="<?php echo $edit_product_file;?>">&nbsp;&nbsp;
					<?php
							if($is_amazon_active =='1')
							{
							?>
							 &nbsp;&nbsp;<input type="checkbox" name="upload_amazon" value="1" />Upload At Amazon Server
							<?php
							}					
					?>
								  
						 <br/><?php echo $edit_product_file;?><input type="hidden" name="edit_product_file" id="edit_product_file" value="<?php echo $edit_product_file;?>">
					<?php
						}
						elseif($upload_type=="links")
						{
					?>	</td></tr>
							<tr>
								 <td  align="right" valign="top">Download Link<span class="error"> * </span></td>
								 <td  align="left"><input name="txt_download_link" type="text" class="textfield" id="txt_download_link" value="<?php echo $txt_download_link; ?>" size="30" title="Please enter download link"/>&nbsp;&nbsp;Enter URL for digital product, if do not want to upload file</td>
							</tr>
					<?php
							
							
						}
						else
						{						
							$upload_dir="../uploads/";
							if ($handle=opendir($upload_dir))
							{
							    //echo "Directory handle: $handle\n";
							   // echo "Files:\n";
					?>
								<tr class="">
						      	  <td align="left" valign="top" colspan="2" bgcolor="#FBFBFF">
							  		<table width="100%">
										<th width="95%" align="center" valign="top">Please select files to upload</th>
										<th width="5%"><input type="checkbox" id="chk_all" name="chk_all" value="1" onClick="return check_all(this,document.frmpage.chk);"></th> 
										<tr><td align="center" colspan="2"><span class="error">Note: Select file from mass upload folder <br/>(<?php echo SITE_PATH."uploads";?>)</span></td></tr>									
					<?php
						    		while (false !== ($file = readdir($handle)))
									{
							        	//echo "$file\n";
							    		if(strlen(trim($file))>4)
										{
					?>
										<tr>
											<td width="95%"><?php echo $file;?></td>
											<td width="5%"><input id="chk" name="chk[]" value="<?php echo $file;?>" onclick="return check_single(document.frmpage.chk_all,document.frmpage.chk);" type="checkbox"></td>
										</tr>							
					<?php
										}
									}
							    	closedir($handle);
					?>			
									</table>
								  </td>	
								</tr>	
					<?php			
							}
						}
					?>					
					
					
					
					<tr class="">
					  <td  align="right" valign="top">Expiry Date&nbsp;&nbsp;&nbsp;</td>
					  <td  align="left">
					  	<input name="txt_dob" type="text" class="textfield" id="txt_dob" title="<?php echo ERR_PROD_EXP_DATE;?>" value="<?php echo $txt_dob; ?>" size="20" />
					<script type="text/javascript">	  
					 Calendar.setup({
					 inputField	 :	"txt_dob",	 // id of the input field
					 ifFormat	 :	"y-mm-dd",	  // format of the input field
					 button		 :	"txt_dob",  // trigger for the calendar (button ID)
					 align		 :	"Bl",		   // alignment (defaults to "Bl")
					 singleClick :	true
					});
					</script>					  </td>
				    </tr>
					<tr>
					  	<td  align="right" valign="top">Valid days&nbsp;&nbsp;&nbsp;</td>
					  	<td  align="left"><input name="txt_valid_days" type="text" class="textfield" id="txt_valid_days" value="<?php echo $txt_valid_days; ?>" size="30" maxlength="3"/>&nbsp;&nbsp;No. of valid download days after user purchase.</td>
				    </tr>
					<tr>
					  	<td  align="right" valign="top">Valid downloads&nbsp;&nbsp;&nbsp;</td>
					  	<td  align="left"><input name="txt_valid_downloads" type="text" class="textfield" id="txt_valid_downloads" value="<?php echo $txt_valid_downloads; ?>" size="30" maxlength="5"/>&nbsp;&nbsp;No. of downloads, user can.
						<br />
						<strong style=" color:#FF0000;">Note: - Entering '0', ''(empty) or '1' means product will be available for download for 1 time.</strong>
						</td>
				    </tr>
					<tr>
					  	<td  align="right">&nbsp;</td>
					  	<td  align="left">&nbsp;</td>
				    </tr>
					<tr>
					  	<td  align="right"><input name="submitbtn" type="submit"  value="Upload"></td>
						<?php $ret_url = ADMIN_MNG_PRODUCT_PHP."?start=".$start."&str_params=".@base64_encode($str_params); ?>
				    	<td align="left"><input type="button" name="save_n_exit" value="Exit" onclick="javascript:location.href='<?php echo $ret_url;?>'"></td></tr>
					<tr>
					  	<td  align="right">&nbsp;</td>
					  	<td  align="left">&nbsp;</td>
				    </tr>	
					<tr class="">
				      	<td align="left" valign="top" colspan="2" bgcolor="#FFFBF2">
					  		<table width="100%">
							<th align="center" valign="top" colspan="2">Already added links for <span class="error"><?php echo $txt_prod_name;?></span></th>
							
							<?php
								$str_order=" file_id DESC ";
								$res_data = select_from_db(TABLE_PRODUCTS_FILES,'','*',"prod_id='$id'",$str_order);
								if(@mysql_num_rows($res_data)!= 0)
								{
									while($row_data = mysql_fetch_array($res_data))	
									{
										$txt_product_file=stripslashes($row_data["product_file"]);
										$txt_file_id=stripslashes($row_data["file_id"]);
							?>
										<tr>
											<td><?php echo $txt_product_file;?></td>
											<td><div align="center"><a href="<?php echo ADMIN_ADD_EDIT_DIGITAL_PRODUCT_FILES_PHP."?delid=$txt_file_id&id=$id&action=$action&str_params=$str_params";?>" onclick="return confirm('Are you sure to remove this link?')"><img name="imgremove" src="../images/drop.png" alt="Remove" border="0"/></a></div></td>
										</tr>		
							<?php	
									}
								}
								else
								{
									echo "<tr><td align='center' colspan='2'><b>No files added</b></td></tr>";
								}
							?>	
							</table>
							</td>	
					</tr>	
						
				</tbody>
	</table>
</td>
	</tr>
	</table>
</form>
<?php include("footer.php"); ?>